summaryrefslogtreecommitdiffstats
path: root/libraries/OpenSceneGraph
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>2010-05-11 20:00:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:40 +0200
commitaf7b3ada6c60f7ddd5da837b3e24091a16e8907e (patch)
treed1a43b4436740288780de03a1e4e9f453ca5698b /libraries/OpenSceneGraph
parent49996257744e2b79fddf86eecbb87cc89d9598c8 (diff)
downloadslackbuilds-af7b3ada6c60f7ddd5da837b3e24091a16e8907e.tar.gz
slackbuilds-af7b3ada6c60f7ddd5da837b3e24091a16e8907e.tar.xz
libraries/OpenSceneGraph: Added to 12.0 repository
Diffstat (limited to 'libraries/OpenSceneGraph')
-rw-r--r--libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild53
-rw-r--r--libraries/OpenSceneGraph/OpenSceneGraph.info8
-rw-r--r--libraries/OpenSceneGraph/README7
-rw-r--r--libraries/OpenSceneGraph/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild b/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
new file mode 100644
index 0000000000..6897a61a4d
--- /dev/null
+++ b/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for OpenSceneGraph
+
+# Written by Aleksandar B. Samardzic (<asamardzic@matf.bg.ac.yu>)
+
+set -e
+
+PRGNAM=OpenSceneGraph
+VERSION=2.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake -DCMAKE_INSTALL_PREFIX=/usr .
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS.txt ChangeLog LICENSE.txt NEWS.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/OpenSceneGraph/OpenSceneGraph.info b/libraries/OpenSceneGraph/OpenSceneGraph.info
new file mode 100644
index 0000000000..ebca35d146
--- /dev/null
+++ b/libraries/OpenSceneGraph/OpenSceneGraph.info
@@ -0,0 +1,8 @@
+PRGNAM="OpenSceneGraph"
+VERSION="2.2.0"
+HOMEPAGE="http://www.openscenegraph.org/"
+DOWNLOAD="http://www.openscenegraph.org/downloads/developer_releases/OpenSceneGraph-2.2.0.zip"
+MD5SUM="5782f082e57a6d6874d81c88dfb480c6"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="rworkman"
diff --git a/libraries/OpenSceneGraph/README b/libraries/OpenSceneGraph/README
new file mode 100644
index 0000000000..58c982f7fe
--- /dev/null
+++ b/libraries/OpenSceneGraph/README
@@ -0,0 +1,7 @@
+The OpenSceneGraph is an OpenSource cross platform graphics toolkit for
+the development of high performance graphics applications such as flight
+simulators, games, virtual reality and scientific visualization. Based
+around the concept of a SceneGraph, it provides an object oriented
+framework on top of OpenGL freeing the developer from implementing and
+optimizing low level graphics calls, and provides many additional
+utilities for rapid development of graphics applications.
diff --git a/libraries/OpenSceneGraph/slack-desc b/libraries/OpenSceneGraph/slack-desc
new file mode 100644
index 0000000000..09a65af3ab
--- /dev/null
+++ b/libraries/OpenSceneGraph/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenSceneGraph: OpenSceneGraph (3D graphics toolkit)
+OpenSceneGraph:
+OpenSceneGraph: The OpenSceneGraph is an open source high performance 3D
+OpenSceneGraph: graphics toolkit, used by application developers in
+OpenSceneGraph: fields such as visual simulation, games, virtual
+OpenSceneGraph: reality, scientific visualization and modelling.
+OpenSceneGraph:
+OpenSceneGraph: Homepage: http://www.openscenegraph.org/
+OpenSceneGraph:
+OpenSceneGraph:
+OpenSceneGraph: